%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%global libatomic_ops_ver 1.2


Name:           mingw32-gc
Version:        7.2
Release:        0.2alpha4%{?dist}
Summary:        MinGW Windows port of the gc library

Group:          Development/Libraries
License:        GPLv2+ and MIT
URL:            http://www.hpl.hp.com/personal/Hans_Boehm/gc/
Source0:        http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc-%{version}alpha4.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

Provides:  %{name}-static = %{version}-%{release}
Provides:  mingw32-libatomic_ops-static = %{libatomic_ops_ver}-%{release}

Requires:  pkg-config


%description
The Boehm-Demers-Weiser conservative garbage collector can be 
used as a garbage collecting replacement for C malloc or C++ new.

MinGW Windows port of the gc library.


%prep
%setup -q -n gc-%{version}alpha4
chmod a-x *.c


%build
pushd  libatomic_ops
%_mingw32_configure 
make %{?_smp_mflags}
popd 

%_mingw32_configure \
  --disable-static \
  --disable-gcj-support  \
  --disable-java-finalization \
  --enable-cplusplus

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc
pushd  libatomic_ops
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

mkdir -p __doc
mv $RPM_BUILD_ROOT%{_mingw32_datadir}/* __doc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README.QUICK
%doc __doc/*
%{_mingw32_includedir}/gc.h
%{_mingw32_includedir}/gc_cpp.h
%{_mingw32_includedir}/gc/
%{_mingw32_includedir}/atomic_ops*.h
%{_mingw32_includedir}/atomic_ops/
%{_mingw32_bindir}/libcord-1.dll
%{_mingw32_bindir}/libgc-1.dll
%{_mingw32_bindir}/libgccpp-1.dll
%{_mingw32_libdir}/libatomic_ops.a
%{_mingw32_libdir}/libatomic_ops_gpl.a
%{_mingw32_libdir}/libcord.dll.a
%{_mingw32_libdir}/libcord.la
%{_mingw32_libdir}/libgc.dll.a
%{_mingw32_libdir}/libgc.la
%{_mingw32_libdir}/libgccpp.dll.a
%{_mingw32_libdir}/libgccpp.la
%{_mingw32_libdir}/pkgconfig/bdw-gc.pc


%changelog
* Tue Dec  8 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 7.2-0.2alpha4
- Update to 7.2-alpha4

* Thu Jul  9 2009 kwizart < kwizart at gmail.com > - 7.2-0.1alpha2
- Initial package based on original libatomic_ops.spec

